﻿@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@model dynamic
@inject IGettingGlobalConfigService GettingGlobalConfigService;
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    JObject models = JObject.FromObject(Model);
    ViewData["MetaTitle"] = models["Title"];
    Layout = "_Layout";

}
@section Style{
    <link href="/plugins/alertifyjs/css/alertify.css" rel="stylesheet" />
    <link href="/plugins/alertifyjs/css/themes/bootstrap.css" rel="stylesheet" />
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/account-page.min.css" rel="stylesheet" />
    <link href="/plugins/nacicon/css/nac-icon.css" rel="stylesheet" />
    <link href="/css/account-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/account-page.min.js"></script>
    <script src="/plugins/alertifyjs/alertify.js"></script>
    <script src="/js/account-page.js"></script>
}



<main id="account-page">
    <div id="forgotpassword" class="container">
        <div class="acc--pagetit">@models["Title"]</div>

        <div class="alert-container">
            <div class="h3 m-bot-2">@Html.Raw(models["Message"])</div>
            <a href="@models["ButtonLink"]" class="btn btn-primary h5">@models["ButtonMessage"]</a>
        </div>
    </div>
</main>